package com.example.libary

import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.test.assertIsDisplayed
import androidx.compose.ui.test.junit4.createComposeRule
import androidx.compose.ui.test.onNodeWithTag
import androidx.compose.ui.test.onNodeWithText
import androidx.compose.ui.test.performClick
import org.junit.Rule
import org.junit.Test

class BottomSheetTest {

    @get:Rule
    val composeRule = createComposeRule()

    @Test
    fun test1() {
        composeRule.setContent {
            val ins = remember { mutableStateOf("") }
            Select(
                value = ins,
                data = listOf(
                    "test1"
                )
            )
        }

        composeRule.onNodeWithTag("dr_1").performClick()
        composeRule.onNodeWithText("test1").assertIsDisplayed()
    }
}